Subject: Re: [PATCH v17 1/2] refactor format_branch_comparison in preparation

From: Harald Nordgren <[email-masked]>
Date: Fri, 9 Jan 2026 19:03:09 +0100

> > I think other uses in Git declare a bunch of integer constants for the
> > bitfields, not an enum. Why? Because or-ing flags together creates a
> > value not in the enum…
> 
> We nowadays typically declare the flags as enum, but when accepting the
> bitfield we use `unsigned`.

Good points! I have updated it to remove the name branch_mode_flags now,
define the enums and pass them around as unsigned now. Will be in the next
patch.

Harald